- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Hierarchy
- Class Members

# CMpaDecFilter Class Reference

List of all members.

## Public Member Functions
| CMpaDecFilter (LPUNKNOWN lpunk, HRESULT *phr)
virtual | ~CMpaDecFilter ()
DECLARE_IUNKNOWN STDMETHODIMP | NonDelegatingQueryInterface (REFIID riid, void **ppv)
HRESULT | EndOfStream ()
HRESULT | BeginFlush ()
HRESULT | EndFlush ()
HRESULT | NewSegment (REFERENCE_TIME tStart, REFERENCE_TIME tStop, double dRate)
HRESULT | Receive (IMediaSample *pIn)
HRESULT | CheckInputType (const CMediaType *mtIn)
HRESULT | CheckTransform (const CMediaType *mtIn, const CMediaType *mtOut)
HRESULT | DecideBufferSize (IMemAllocator *pAllocator, ALLOCATOR_PROPERTIES *pProperties)
HRESULT | GetMediaType (int iPosition, CMediaType *pMediaType)
HRESULT | StartStreaming ()
HRESULT | StopStreaming ()
STDMETHODIMP | SetSampleFormat (SampleFormat sf)
STDMETHODIMP | SetNormalize (bool fNormalize)
STDMETHODIMP | SetSpeakerConfig (enctype et, int sc)
STDMETHODIMP | SetDynamicRangeControl (enctype et, bool fDRC)
STDMETHODIMP | SetBoost (float boost)
## Protected Member Functions
HRESULT | ProcessLPCM ()
HRESULT | ProcessAC3 ()
HRESULT | ProcessDTS ()
HRESULT | ProcessAAC ()
HRESULT | ProcessPS2PCM ()
HRESULT | ProcessPS2ADPCM ()
HRESULT | ProcessMPA ()
HRESULT | GetDeliveryBuffer (IMediaSample **pSample, BYTE **pData)
HRESULT | Deliver (CArray< float > &pBuff, DWORD nSamplesPerSec, WORD nChannels, DWORD dwChannelMask=0)
HRESULT | Deliver (BYTE *pBuff, int size, int bit_rate, BYTE type)
HRESULT | ReconnectOutput (int nSamples, CMediaType &mt)
CMediaType | CreateMediaType (SampleFormat sf, DWORD nSamplesPerSec, WORD nChannels, DWORD dwChannelMask=0)
CMediaType | CreateMediaTypeSPDIF ()
## Protected Attributes
CCritSec | m_csReceive
a52_state_t * | m_a52_state
dts_state_t * | m_dts_state
aac_state_t | m_aac_state
mad_stream | m_stream
mad_frame | m_frame
mad_synth | m_synth
ps2_state_t | m_ps2_state
CArray< BYTE > | m_buff
REFERENCE_TIME | m_rtStart
bool | m_fDiscontinuity
float | m_sample_max
CCritSec | m_csProps
SampleFormat | m_iSampleFormat
bool | m_fNormalize
int | m_iSpeakerConfig [etlast]
bool | m_fDynamicRangeControl [etlast]
float | m_boost

## Detailed Description

Definition at line 56 of file MpaDecFilter.h.

The documentation for this class was generated from the following files:

- C:/guliverkli/src/filters/transform/mpadecfilter/MpaDecFilter.h
- C:/guliverkli/src/filters/transform/mpadecfilter/MpaDecFilter.cpp